Package be.ehealth.businessconnector.ehbox.api.utils

# Class QualityType

java.lang.Object
be.ehealth.businessconnector.ehbox.api.utils.QualityType

public final class QualityType extends Object
Class containing all the supported quality.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final QualityType`
  `AMBULANCE_RESCUER_NIHII`
  `static final QualityType`
  `AMBULANCE_RESCUER_SSIN`
  `static final QualityType`
  `APPLIED_PSYCH_BACHELOR_NIHII`
  `static final QualityType`
  `APPLIED_PSYCH_BACHELOR_SSIN`
  `static final QualityType`
  `AUDICIEN_NIHII`
  `static final QualityType`
  `AUDICIEN_SSIN`
  `static final QualityType`
  `AUDIOLOGIST_NIHII`
  `static final QualityType`
  `AUDIOLOGIST_SSIN`
  `static final QualityType`
  `CITIZEN`
  `static final QualityType`
  `CONSORTIUM_CBE`
  `static final QualityType`
  `CTRL_ORGANISM_EHP`
  `static final QualityType`
  `DENTIST_NIHII`
  `static final QualityType`
  `DENTIST_SSIN`
  `static final QualityType`
  `DIETICIAN_NIHII`
  `static final QualityType`
  `DIETICIAN_SSIN`
  `static final QualityType`
  `DOCTOR_NIHII`
  `static final QualityType`
  `DOCTOR_SSIN`
  `static final QualityType`
  `FAMILY_SCIENCE_BACHELOR_NIHII`
  `static final QualityType`
  `FAMILY_SCIENCE_BACHELOR_SSIN`
  `static final QualityType`
  `GENERAL_PRACTIONER_NIHII`
  Deprecated.
  `static final QualityType`
  `GENERAL_PRACTIONER_SSIN`
  Deprecated.
  `static final QualityType`
  `GERONTOLOGY_MASTER_NIHII`
  `static final QualityType`
  `GERONTOLOGY_MASTER_SSIN`
  `static final QualityType`
  `GROUP_DOCTORS_NIHII`
  `static final QualityType`
  `GROUP_NIHII`
  `static final QualityType`
  `GROUPOFNURSES_NIHII`
  Deprecated.
  `static final QualityType`
  `GUARD_POST_NIHII`
  `static final QualityType`
  `HOME_SERVICES_NIHII`
  `static final QualityType`
  `HOSPITAL_NIHII`
  `static final QualityType`
  `IMAGING_TECHNOLOGIST_NIHII`
  `static final QualityType`
  `IMAGING_TECHNOLOGIST_SSIN`
  `static final QualityType`
  `IMPLANTPROVIDER_NIHII`
  `static final QualityType`
  `IMPLANTPROVIDER_SSIN`
  `static final QualityType`
  `INSTITUTION_CBE`
  `static final QualityType`
  `INSTITUTION_EHP_EHP`
  `static final QualityType`
  `LAB_TECHNOLOGIST_NIHII`
  `static final QualityType`
  `LAB_TECHNOLOGIST_SSIN`
  `static final QualityType`
  `LABO_NIHII`
  `static final QualityType`
  `LOGOPEDIST_NIHII`
  `static final QualityType`
  `LOGOPEDIST_SSIN`
  `static final QualityType`
  `MEDICAL_HOUSE_NIHII`
  `static final QualityType`
  `MIDWIFE_NIHII`
  `static final QualityType`
  `MIDWIFE_SSIN`
  `static final QualityType`
  `NURSE_NIHII`
  `static final QualityType`
  `NURSE_SSIN`
  `static final QualityType`
  `OCCUPATIONAL_THERAPIST_NIHII`
  `static final QualityType`
  `OCCUPATIONAL_THERAPIST_SSIN`
  `static final QualityType`
  `OF_BAND_NIHII`
  `static final QualityType`
  `OF_PHYSIOS_NIHII`
  `static final QualityType`
  `OFFICE_DENTISTS_NIHII`
  `static final QualityType`
  `OFFICE_DOCTORS_NIHII`
  `static final QualityType`
  `OPTICIEN_NIHII`
  `static final QualityType`
  `OPTICIEN_SSIN`
  `static final QualityType`
  `ORTHOPEDAGOGIST_MASTER_NIHII`
  `static final QualityType`
  `ORTHOPEDAGOGIST_MASTER_SSIN`
  `static final QualityType`
  `ORTHOPEDIST_NIHII`
  `static final QualityType`
  `ORTHOPEDIST_SSIN`
  `static final QualityType`
  `ORTHOPTIST_NIHII`
  `static final QualityType`
  `ORTHOPTIST_SSIN`
  `static final QualityType`
  `OTD_PHARMACY_NIHII`
  `static final QualityType`
  `PALLIATIVE_CARE_NIHII`
  `static final QualityType`
  `PEDIATRIC_NURSE_NIHII`
  `static final QualityType`
  `PEDIATRIC_NURSE_SSIN`
  `static final QualityType`
  `PHARMACIST_ASSISTANT_NIHII`
  `static final QualityType`
  `PHARMACIST_ASSISTANT_SSIN`
  `static final QualityType`
  `PHARMACIST_NIHII`
  `static final QualityType`
  `PHARMACIST_SSIN`
  `static final QualityType`
  `PHARMACY_NIHII`
  `static final QualityType`
  `PHYSIOTHERAPIST_NIHII`
  `static final QualityType`
  `PHYSIOTHERAPIST_SSIN`
  `static final QualityType`
  `PODOLOGIST_NIHII`
  `static final QualityType`
  `PODOLOGIST_SSIN`
  `static final QualityType`
  `PRACTICALNURSE_NIHII`
  `static final QualityType`
  `PRACTICALNURSE_SSIN`
  `static final QualityType`
  `PROT_ACC_NIHII`
  `static final QualityType`
  `PSYCH_HOUSE_NIHII`
  `static final QualityType`
  `PSYCHOLOGIST_NIHII`
  `static final QualityType`
  `PSYCHOLOGIST_SSIN`
  `static final QualityType`
  `PSYCHOMOTOR_THERAPY_NIHII`
  `static final QualityType`
  `PSYCHOMOTOR_THERAPY_SSIN`
  `static final QualityType`
  `READAPTATION_BACHELOR_NIHII`
  `static final QualityType`
  `READAPTATION_BACHELOR_SSIN`
  `static final QualityType`
  `RETIREMENT_NIHII`
  `static final QualityType`
  `SOCIAL_WORKER_NIHII`
  `static final QualityType`
  `SOCIAL_WORKER_SSIN`
  `static final QualityType`
  `SPECIALIZED_EDUCATOR_NIHII`
  `static final QualityType`
  `SPECIALIZED_EDUCATOR_SSIN`
  `static final QualityType`
  `TREATMENT_CENTER_CBE`
  `static final QualityType`
  `TRUSS_MAKER_NIHII`
  `static final QualityType`
  `TRUSS_MAKER_SSIN`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IdentifierType`
  `getIdentifierType()`
  `static QualityType`
  `getInstance(String quality, IdentifierType type)`
  Method used for QualityType generation/instantiation.
  `String`
  `getQuality()`
  `String`
  `name()`
  `static QualityType`
  `valueOf(String key)`
  `static QualityType`
  `valueOf(String quality, String type)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### AMBULANCE_RESCUER_NIHII

    public static final QualityType AMBULANCE_RESCUER_NIHII

  - ### AMBULANCE_RESCUER_SSIN

    public static final QualityType AMBULANCE_RESCUER_SSIN

  - ### APPLIED_PSYCH_BACHELOR_NIHII

    public static final QualityType APPLIED_PSYCH_BACHELOR_NIHII

  - ### APPLIED_PSYCH_BACHELOR_SSIN

    public static final QualityType APPLIED_PSYCH_BACHELOR_SSIN

  - ### AUDICIEN_NIHII

    public static final QualityType AUDICIEN_NIHII

  - ### AUDICIEN_SSIN

    public static final QualityType AUDICIEN_SSIN

  - ### AUDIOLOGIST_NIHII

    public static final QualityType AUDIOLOGIST_NIHII

  - ### AUDIOLOGIST_SSIN

    public static final QualityType AUDIOLOGIST_SSIN

  - ### CITIZEN

    public static final QualityType CITIZEN

  - ### CONSORTIUM_CBE

    public static final QualityType CONSORTIUM_CBE

  - ### CTRL_ORGANISM_EHP

    public static final QualityType CTRL_ORGANISM_EHP

  - ### DENTIST_NIHII

    public static final QualityType DENTIST_NIHII

  - ### DENTIST_SSIN

    public static final QualityType DENTIST_SSIN

  - ### DIETICIAN_NIHII

    public static final QualityType DIETICIAN_NIHII

  - ### DIETICIAN_SSIN

    public static final QualityType DIETICIAN_SSIN

  - ### DOCTOR_NIHII

    public static final QualityType DOCTOR_NIHII

  - ### DOCTOR_SSIN

    public static final QualityType DOCTOR_SSIN

  - ### FAMILY_SCIENCE_BACHELOR_NIHII

    public static final QualityType FAMILY_SCIENCE_BACHELOR_NIHII

  - ### FAMILY_SCIENCE_BACHELOR_SSIN

    public static final QualityType FAMILY_SCIENCE_BACHELOR_SSIN

  - ### GERONTOLOGY_MASTER_NIHII

    public static final QualityType GERONTOLOGY_MASTER_NIHII

  - ### GERONTOLOGY_MASTER_SSIN

    public static final QualityType GERONTOLOGY_MASTER_SSIN

  - ### GROUP_NIHII

    public static final QualityType GROUP_NIHII

  - ### GROUP_DOCTORS_NIHII

    public static final QualityType GROUP_DOCTORS_NIHII

  - ### GUARD_POST_NIHII

    public static final QualityType GUARD_POST_NIHII

  - ### HOME_SERVICES_NIHII

    public static final QualityType HOME_SERVICES_NIHII

  - ### HOSPITAL_NIHII

    public static final QualityType HOSPITAL_NIHII

  - ### IMAGING_TECHNOLOGIST_NIHII

    public static final QualityType IMAGING_TECHNOLOGIST_NIHII

  - ### IMAGING_TECHNOLOGIST_SSIN

    public static final QualityType IMAGING_TECHNOLOGIST_SSIN

  - ### IMPLANTPROVIDER_NIHII

    public static final QualityType IMPLANTPROVIDER_NIHII

  - ### IMPLANTPROVIDER_SSIN

    public static final QualityType IMPLANTPROVIDER_SSIN

  - ### INSTITUTION_CBE

    public static final QualityType INSTITUTION_CBE

  - ### INSTITUTION_EHP_EHP

    public static final QualityType INSTITUTION_EHP_EHP

  - ### LABO_NIHII

    public static final QualityType LABO_NIHII

  - ### LAB_TECHNOLOGIST_NIHII

    public static final QualityType LAB_TECHNOLOGIST_NIHII

  - ### LAB_TECHNOLOGIST_SSIN

    public static final QualityType LAB_TECHNOLOGIST_SSIN

  - ### LOGOPEDIST_NIHII

    public static final QualityType LOGOPEDIST_NIHII

  - ### LOGOPEDIST_SSIN

    public static final QualityType LOGOPEDIST_SSIN

  - ### MEDICAL_HOUSE_NIHII

    public static final QualityType MEDICAL_HOUSE_NIHII

  - ### MIDWIFE_NIHII

    public static final QualityType MIDWIFE_NIHII

  - ### MIDWIFE_SSIN

    public static final QualityType MIDWIFE_SSIN

  - ### NURSE_NIHII

    public static final QualityType NURSE_NIHII

  - ### NURSE_SSIN

    public static final QualityType NURSE_SSIN

  - ### OCCUPATIONAL_THERAPIST_NIHII

    public static final QualityType OCCUPATIONAL_THERAPIST_NIHII

  - ### OCCUPATIONAL_THERAPIST_SSIN

    public static final QualityType OCCUPATIONAL_THERAPIST_SSIN

  - ### OFFICE_DENTISTS_NIHII

    public static final QualityType OFFICE_DENTISTS_NIHII

  - ### OFFICE_DOCTORS_NIHII

    public static final QualityType OFFICE_DOCTORS_NIHII

  - ### OF_BAND_NIHII

    public static final QualityType OF_BAND_NIHII

  - ### OF_PHYSIOS_NIHII

    public static final QualityType OF_PHYSIOS_NIHII

  - ### OPTICIEN_NIHII

    public static final QualityType OPTICIEN_NIHII

  - ### OPTICIEN_SSIN

    public static final QualityType OPTICIEN_SSIN

  - ### ORTHOPEDAGOGIST_MASTER_NIHII

    public static final QualityType ORTHOPEDAGOGIST_MASTER_NIHII

  - ### ORTHOPEDAGOGIST_MASTER_SSIN

    public static final QualityType ORTHOPEDAGOGIST_MASTER_SSIN

  - ### ORTHOPEDIST_NIHII

    public static final QualityType ORTHOPEDIST_NIHII

  - ### ORTHOPEDIST_SSIN

    public static final QualityType ORTHOPEDIST_SSIN

  - ### ORTHOPTIST_NIHII

    public static final QualityType ORTHOPTIST_NIHII

  - ### ORTHOPTIST_SSIN

    public static final QualityType ORTHOPTIST_SSIN

  - ### OTD_PHARMACY_NIHII

    public static final QualityType OTD_PHARMACY_NIHII

  - ### PALLIATIVE_CARE_NIHII

    public static final QualityType PALLIATIVE_CARE_NIHII

  - ### PEDIATRIC_NURSE_NIHII

    public static final QualityType PEDIATRIC_NURSE_NIHII

  - ### PEDIATRIC_NURSE_SSIN

    public static final QualityType PEDIATRIC_NURSE_SSIN

  - ### PHARMACIST_NIHII

    public static final QualityType PHARMACIST_NIHII

  - ### PHARMACIST_SSIN

    public static final QualityType PHARMACIST_SSIN

  - ### PHARMACIST_ASSISTANT_NIHII

    public static final QualityType PHARMACIST_ASSISTANT_NIHII

  - ### PHARMACIST_ASSISTANT_SSIN

    public static final QualityType PHARMACIST_ASSISTANT_SSIN

  - ### PHARMACY_NIHII

    public static final QualityType PHARMACY_NIHII

  - ### PHYSIOTHERAPIST_NIHII

    public static final QualityType PHYSIOTHERAPIST_NIHII

  - ### PHYSIOTHERAPIST_SSIN

    public static final QualityType PHYSIOTHERAPIST_SSIN

  - ### PODOLOGIST_NIHII

    public static final QualityType PODOLOGIST_NIHII

  - ### PODOLOGIST_SSIN

    public static final QualityType PODOLOGIST_SSIN

  - ### PRACTICALNURSE_NIHII

    public static final QualityType PRACTICALNURSE_NIHII

  - ### PRACTICALNURSE_SSIN

    public static final QualityType PRACTICALNURSE_SSIN

  - ### PROT_ACC_NIHII

    public static final QualityType PROT_ACC_NIHII

  - ### PSYCHOLOGIST_NIHII

    public static final QualityType PSYCHOLOGIST_NIHII

  - ### PSYCHOLOGIST_SSIN

    public static final QualityType PSYCHOLOGIST_SSIN

  - ### PSYCHOMOTOR_THERAPY_NIHII

    public static final QualityType PSYCHOMOTOR_THERAPY_NIHII

  - ### PSYCHOMOTOR_THERAPY_SSIN

    public static final QualityType PSYCHOMOTOR_THERAPY_SSIN

  - ### PSYCH_HOUSE_NIHII

    public static final QualityType PSYCH_HOUSE_NIHII

  - ### READAPTATION_BACHELOR_NIHII

    public static final QualityType READAPTATION_BACHELOR_NIHII

  - ### READAPTATION_BACHELOR_SSIN

    public static final QualityType READAPTATION_BACHELOR_SSIN

  - ### RETIREMENT_NIHII

    public static final QualityType RETIREMENT_NIHII

  - ### SOCIAL_WORKER_NIHII

    public static final QualityType SOCIAL_WORKER_NIHII

  - ### SOCIAL_WORKER_SSIN

    public static final QualityType SOCIAL_WORKER_SSIN

  - ### SPECIALIZED_EDUCATOR_NIHII

    public static final QualityType SPECIALIZED_EDUCATOR_NIHII

  - ### SPECIALIZED_EDUCATOR_SSIN

    public static final QualityType SPECIALIZED_EDUCATOR_SSIN

  - ### TREATMENT_CENTER_CBE

    public static final QualityType TREATMENT_CENTER_CBE

  - ### TRUSS_MAKER_NIHII

    public static final QualityType TRUSS_MAKER_NIHII

  - ### TRUSS_MAKER_SSIN

    public static final QualityType TRUSS_MAKER_SSIN

  - ### GENERAL_PRACTIONER_SSIN

    @Deprecated public static final QualityType GENERAL_PRACTIONER_SSIN
    Deprecated.

  - ### GENERAL_PRACTIONER_NIHII

    @Deprecated public static final QualityType GENERAL_PRACTIONER_NIHII
    Deprecated.

  - ### GROUPOFNURSES_NIHII

    @Deprecated public static final QualityType GROUPOFNURSES_NIHII
    Deprecated.

- ## Method Details

  - ### getInstance

    public static QualityType getInstance(String quality, IdentifierType type)
    Method used for QualityType generation/instantiation. If a predefined quality exists this instance is returned, otherwise a new qualityType is created.
    Parameters:
      `quality` -
      `type` -
    Returns:
      the requested QualityType

  - ### getQuality

    public String getQuality()
    Parameters:
      `target` -
    Returns:
      quality for the target

  - ### getIdentifierType

    public IdentifierType getIdentifierType()
    Returns:
      IdentifierTypeHelper

  - ### name

    public String name()

  - ### valueOf

    public static QualityType valueOf(String key)

  - ### valueOf

    public static QualityType valueOf(String quality, String type)